<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <de.hdodenhof.circleimageview.CircleImageView
        android:id="@+id/ivAvatar"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        android:layout_marginStart="20dp"
        android:layout_width="40dp"
        android:layout_height="40dp"/>


    <com.swago.baseswago.cusview.BoldTextView
        android:id="@+id/tvName"
        android:textSize="14dp"
        android:textColor="#000"
        android:layout_marginStart="10dp"
        tools:text="NickName"
        android:maxWidth="200dp"
        android:maxLines="1"
        app:layout_constraintStart_toEndOf="@+id/ivAvatar"
        app:layout_constraintTop_toTopOf="parent"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <com.swago.baseswago.cusview.RegularTextView
        android:id="@+id/tvCreateTIme"
        android:textSize="14dp"
        android:textColor="#aaa"
        android:layout_marginStart="10dp"
        tools:text="NickName"
        android:maxWidth="200dp"
        android:maxLines="1"
        app:layout_constraintStart_toEndOf="@+id/ivAvatar"
        app:layout_constraintBottom_toBottomOf="@+id/ivAvatar"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>


    <com.swago.baseswago.cusview.MediumTextView
        android:id="@+id/tv1"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@+id/switch1"
        app:layout_constraintBottom_toBottomOf="@+id/switch1"
        android:layout_marginStart="20dp"
        android:textSize="14dp"
        android:textColor="#5c5c5c"
        android:text="屏蔽该用户直播间内的消息"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>


    <com.swago.baseswago.cusview.MediumTextView
        android:id="@+id/tv2"
        android:textSize="14dp"
        android:textColor="#5c5c5c"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@+id/switch2"
        app:layout_constraintBottom_toBottomOf="@+id/switch2"
        android:layout_marginStart="20dp"
        android:text="禁止该用户进入我的直播间"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <ImageView
        android:id="@+id/switch1"
        android:src="@mipmap/switch_off"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="10dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/ivAvatar"
        android:layout_width="40dp"
        android:layout_height="20dp"/>


    <ImageView
        android:id="@+id/switch2"
        android:src="@mipmap/switch_off"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="10dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/switch1"
        android:layout_width="40dp"
        android:layout_height="20dp"/>

</androidx.constraintlayout.widget.ConstraintLayout>